Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache.factories
Class InterceptorChainFactory

    java.lang.Object
      org.jboss.cache.factories.InterceptorChainFactory

    public class InterceptorChainFactory

extends java.lang.Object

Factory class that builds an interceptor chain based on TreeCache config.

Author:
  Manik Surtani (manik@jboss.org)

Constructor Summary
`InterceptorChainFactory()`

Method Summary
`static java.util.List` | `asList(Interceptor interceptor)`
`Interceptor` | `buildInterceptorChain(TreeCache cache)`
`protected java.lang.Class` | `loadClass(java.lang.String classname)` Loads the specified class using this class's classloader, or, if it is `null` (i.e.
`static java.lang.String` | `printInterceptorChain(Interceptor i)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InterceptorChainFactory

    public InterceptorChainFactory()

Method Detail

### buildInterceptorChain

    public Interceptor buildInterceptorChain(TreeCache cache)
                                      throws java.lang.IllegalAccessException,
                                             java.lang.ClassNotFoundException,
                                             java.lang.InstantiationException

  Throws:
    `java.lang.IllegalAccessException`
    `java.lang.ClassNotFoundException`
    `java.lang.InstantiationException`

### loadClass

    protected java.lang.Class loadClass(java.lang.String classname)
                                 throws java.lang.ClassNotFoundException

  Loads the specified class using this class's classloader, or, if it is `null` (i.e. this class was loaded by the bootstrap classloader), the system classloader.

  If loadtime instrumentation via GenerateInstrumentedClassLoader is used, this class may be loaded by the bootstrap classloader.

  Throws:
    `java.lang.ClassNotFoundException`

### printInterceptorChain

    public static java.lang.String printInterceptorChain(Interceptor i)

### asList

    public static java.util.List asList(Interceptor interceptor)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2005 JBoss Inc . All Rights Reserved.